Subject: Re: bug#52651: syncthing-gtk fails to run (librsvg error)

From: "bdju" <[email-masked]>
Date: Sun, 19 Dec 2021 14:10:48 -0600

On Sun Dec 19, 2021 at 2:09 PM CST, John Kehayias wrote:
> Thanks for checking. I'm on the same Guix commit. Are you sure
> syncthing-gtk is up to date? I'm running on just a WM (XMonad) on Xorg,
> perhaps that is a difference? My path for syncthing-gtk is:
>
> /gnu/store/nlslvhw9sqgiwjh036zh66rcs0zgh97s-syncthing-gtk-0.9.4.4-1.c46fbd8

I'm using Sway, which is as close to just running a WM as you can get on
Sway.

My path according to the `whereis syncthing-gtk` output is:

/gnu/store/3li6xh09g5w0ychn2b7jknglqg3pmyl8-profile/bin/syncthing-gtk

When launched, I can go to About and see the version says "unknown
(Daemon v1.16.1)

Oh, I get a path more like yours if I run an ls on the whereis output:

/gnu/store/nlslvhw9sqgiwjh036zh66rcs0zgh97s-syncthing-gtk-0.9.4.4-1.c46fbd8/bin/syncthing-gtk

It looks like we're both on 0.9.4.4-1.c46fbd8 in that case.